summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2016-01-24 20:21:09 +0000
committerJames Le Cuirot <chewi@gentoo.org>2016-01-24 20:32:21 +0000
commitf3c7954bc1ead2884a609ee6e2e9147645b9ef6e (patch)
tree34895027aa7180b28f1921ea84881638b92cb05c /virtual/jre/jre-1.8.0-r1.ebuild
parentnet-wireless/irda-utils: add -std=gnu89 to CFLAGS to restore pre-GCC5 semantics (diff)
downloadgentoo-f3c7954bc1ead2884a609ee6e2e9147645b9ef6e.tar.gz
gentoo-f3c7954bc1ead2884a609ee6e2e9147645b9ef6e.tar.bz2
gentoo-f3c7954bc1ead2884a609ee6e2e9147645b9ef6e.zip
virtual/jre: It's 2016, let's use EAPI 6 and SLOT dependencies
Ignoring 1.6 because it's about to die. Package-Manager: portage-2.2.27
Diffstat (limited to 'virtual/jre/jre-1.8.0-r1.ebuild')
-rw-r--r--virtual/jre/jre-1.8.0-r1.ebuild14
1 files changed, 14 insertions, 0 deletions
diff --git a/virtual/jre/jre-1.8.0-r1.ebuild b/virtual/jre/jre-1.8.0-r1.ebuild
new file mode 100644
index 00000000000..ae9a4efc446
--- /dev/null
+++ b/virtual/jre/jre-1.8.0-r1.ebuild
@@ -0,0 +1,14 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+DESCRIPTION="Virtual for Java Runtime Environment (JRE)"
+SLOT="1.8"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc64-solaris ~x64-solaris"
+
+RDEPEND="|| (
+ virtual/jdk:1.8
+ dev-java/oracle-jre-bin:1.8
+ )"